Loading...
Searching...
No Matches
hueplusplus::FileInfo Struct Reference

Contains information about error location, use CURRENT_FILE_INFO to create. More...

`#include <hueplusplus/HueException.h>`

## Public Member Functions

std::string | ToString () const
| String representation of func, file and line.

## Public Attributes

std::string | filename
| Current file name from FILE. Empty if unknown.
int | line = -1
| Current line number from LINE. -1 if unknown.
std::string | func
| Current function from func. Empty if unknown.

## Detailed Description

Contains information about error location, use CURRENT_FILE_INFO to create.

## Member Function Documentation

## ToString()

std::string hueplusplus::FileInfo::ToString | ( |  | ) | const

String representation of func, file and line.

Returns
  "<func> in <filename>:<line>" or "Unknown file" if unknown.

## Member Data Documentation

## filename

std::string hueplusplus::FileInfo::filename

Current file name from FILE. Empty if unknown.

## func

std::string hueplusplus::FileInfo::func

Current function from func. Empty if unknown.

## line

int hueplusplus::FileInfo::line = -1

Current line number from LINE. -1 if unknown.

The documentation for this struct was generated from the following files:

- include/hueplusplus/HueException.h
- src/HueException.cpp